"use strict";

class Template {
    constructor(props) {
        this.props = props;
    }

    render() {
        return {
            tag: "main",
            contents: [
                {
                    tag: "header",
                    contents: [
                        {
                            tag: "ul",
                            contents: [
                                {
                                    tag: "li",
                                    contents: [
                                        {
                                            tag: "a",
                                            href: "/public/",
                                            contents: "Home",
                                        },
                                    ],
                                },
                                {
                                    tag: "li",
                                    contents: [
                                        {
                                            tag: "a",
                                            href: "/public/games/",
                                            contents: "Jeux",
                                        },
                                    ],
                                },
                                {
                                    tag: "li",
                                    contents: [
                                        {
                                            tag: "a",
                                            href: "/public/software-development/",
                                            contents: "Software development",
                                        },
                                    ],
                                },
                                {
                                    tag: "li",
                                    contents: [
                                        {
                                            tag: "a",
                                            href: "/public/education/",
                                            contents: "Pédagogie",
                                        },
                                    ],
                                },
                            ],
                        },
                    ],
                },
                {
                    tag: "div",
                    id: "page-container",
                    contents: [this.props.page.render()],
                },
                {
                    tag: "footer",
                    contents: [
                        {
                            tag: "a",
                            href: "mailto:kuadrado-software@tutanota.com",
                            contents: "kuadrado-software@tutanota.com",
                        },
                    ],
                },
            ],
        };
    }
}

module.exports = Template;
